#ifndef WIMAFLYAREA_H
#define WIMAFLYAREA_H

#include <QObject>
#include "QGCMapPolygon.h"
#include "QmlObjectListModel.h"

class WimaFlyArea : public QObject
{
    Q_OBJECT
public:
    WimaFlyArea(QObject *parent = nullptr);
    WimaFlyArea(const WimaFlyArea& other, QObject *parent = nullptr);

    const WimaFlyArea& operator=(const WimaFlyArea& other);



    Q_PROPERTY(QmlObjectListModel *polygons                   READ polygons NOTIFY polygonsChanged)

    Q_INVOKABLE void append_WimaFlyArea();

    //  Property Accessors
    QmlObjectListModel *        polygons            (void)        { return _polygons;}


    // Methodes
    void _init(void);

signals:
    void polygonsChanged(void);


public slots:

private:
    QmlObjectListModel* _polygons;
    QGCMapPolygon* _isCurrentPolygon;


};

#endif // WIMAFLYAREA_H
